Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorSite.NoParamSite

    java.lang.Object
      ConstructorSiteNoUnwrapNoCoerce
          org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSite

    public static class ConstructorSite.NoParamSite
    extends ConstructorSiteNoUnwrapNoCoerce

Constructor Summary
`ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`

Constructor Detail

### ConstructorSite.NoParamSite

    public ConstructorSite.NoParamSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)

Method Detail

### callConstructor

    public final java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation